PersistentID (Apache Geode 1.15.4)

org.apache.geode.cache.persistence

## Interface PersistentID

- All Superinterfaces:
    DataSerializable, Serializable

      public interface PersistentID
      extends DataSerializable

  A pattern describing a single member's a set of persistent files for a region. When a member has a region defined with the a data policy of `DataPolicy.PERSISTENT_REPLICATE`, that members persistent files are assigned a unique ID. After a failure of all members, during recovery, the persistent members will wait for all persistent copies of the region to be recovered before completing region initialization. This pattern describes what unique ids the currently recovering persistent members are waiting for. See `AdminDistributedSystem.getMissingPersistentMembers()`
  Since:
    GemFire 6.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDirectory()` The directory which the persistent data was last residing in.
    `InetAddress` | `getHost()` The host on which the persistent data was last residing
    `UUID` | `getUUID()` The unique identifier for the persistent data.

    - ### Methods inherited from interface org.apache.geode.DataSerializable

      `fromData, toData`

- - ### Method Detail

    - #### getHost

          InetAddress getHost()

      The host on which the persistent data was last residing
      Returns:
        the host on which the persistent data was last residing

    - #### getDirectory

          String getDirectory()

      The directory which the persistent data was last residing in.
      Returns:
        the directory which the persistent data was last residing in

    - #### getUUID

          UUID getUUID()

      The unique identifier for the persistent data.
      Returns:
        the unique identifier for the persistent data
      Since:
        GemFire 7.0